diff --git a/tests/Regression/235671-ltrace-receives-SIGILL-signal/Makefile b/tests/Regression/235671-ltrace-receives-SIGILL-signal/Makefile
new file mode 100644
index 0000000..baafe0e
--- /dev/null
+++ b/tests/Regression/235671-ltrace-receives-SIGILL-signal/Makefile
@@ -0,0 +1,60 @@
+# Copyright (c) 2008 Red Hat, Inc. All rights reserved.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see .
+#
+# Author: Michal Nowak
+
+
+TOPLEVEL_NAMESPACE=/tools
+PACKAGE_NAME=ltrace
+RELATIVE_PATH=Regression/235671-ltrace-receives-SIGILL-signal
+
+export TEST=$(TOPLEVEL_NAMESPACE)/$(PACKAGE_NAME)/$(RELATIVE_PATH)
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+ ./runtest.sh
+
+build: $(BUILT_FILES)
+ chmod a+x ./runtest.sh
+
+clean:
+ rm -f *~ $(BUILT_FILES)
+
+
+include /usr/share/rhts/lib/rhts-make.include
+
+
+$(METADATA): Makefile
+ @touch $(METADATA)
+ @echo "Owner: Michal Nowak " > $(METADATA)
+ @echo "Name: $(TEST)" >> $(METADATA)
+ @echo "Path: $(TEST_DIR)" >> $(METADATA)
+ @echo "TestVersion: $(TESTVERSION)" >> $(METADATA)
+ @echo "Description: ltrace receives SIGILL signal and terminates" >> $(METADATA)
+ @echo "Bug: 235671" >> $(METADATA)
+ @echo "Type: Regression" >> $(METADATA)
+ @echo "TestTime: 5m" >> $(METADATA)
+ @echo "RunFor: $(PACKAGE_NAME)" >> $(METADATA)
+ @echo "Requires: $(PACKAGE_NAME)" >> $(METADATA)
+ @echo "License: GPLv3+" >> $(METADATA)
+
+ rhts-lint $(METADATA)
+
diff --git a/tests/Regression/235671-ltrace-receives-SIGILL-signal/PURPOSE b/tests/Regression/235671-ltrace-receives-SIGILL-signal/PURPOSE
new file mode 100644
index 0000000..e727338
--- /dev/null
+++ b/tests/Regression/235671-ltrace-receives-SIGILL-signal/PURPOSE
@@ -0,0 +1,2 @@
+ltrace receives SIGILL signal instead of the ltraced program,
+which terminates ltrace.
diff --git a/tests/Regression/235671-ltrace-receives-SIGILL-signal/main.fmf b/tests/Regression/235671-ltrace-receives-SIGILL-signal/main.fmf
new file mode 100644
index 0000000..f1ba1aa
--- /dev/null
+++ b/tests/Regression/235671-ltrace-receives-SIGILL-signal/main.fmf
@@ -0,0 +1,16 @@
+summary: ltrace receives SIGILL signal and terminates
+description: |
+ ltrace receives SIGILL signal instead of the ltraced program,
+ which terminates ltrace.
+contact: Michal Nowak
+component:
+- ltrace
+test: ./runtest.sh
+framework: beakerlib
+recommend:
+- ltrace
+duration: 5m
+link:
+- relates: https://bugzilla.redhat.com/show_bug.cgi?id=235671
+extra-summary: /tools/ltrace/Regression/235671-ltrace-receives-SIGILL-signal
+extra-task: /tools/ltrace/Regression/235671-ltrace-receives-SIGILL-signal
diff --git a/tests/Regression/235671-ltrace-receives-SIGILL-signal/runtest.sh b/tests/Regression/235671-ltrace-receives-SIGILL-signal/runtest.sh
new file mode 100755
index 0000000..8682bb6
--- /dev/null
+++ b/tests/Regression/235671-ltrace-receives-SIGILL-signal/runtest.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+# Copyright (c) 2008 Red Hat, Inc. All rights reserved.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see .
+#
+# Author: Michal Nowak
+
+# source the test script helpers
+. /usr/bin/rhts_environment.sh
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="$(rpm -qf $(which ltrace))"
+
+rlJournalStart
+ rlPhaseStartSetup "Gathering information"
+ rlAssertRpm $PACKAGE
+ rlAssertRpm $(rpm -qf $(which gcc))
+ rlShowRunningKernel
+ rlPhaseEnd
+
+ rlPhaseStartTest "Running tar inside ltrace"
+ rlRun "ltrace -o ltrace-test.log tar" 0 "ltrace is crunching tar"
+ rlAssertNotGrep "SIGILL" ltrace-test.log -A1
+ rlPhaseEnd
+
+ rlPhaseStartCleanup "Doing clean-up"
+ rlBundleLogs "ltrace-outputs" ltrace-test.log
+ rlRun "rm -f ltrace-test.log"
+ rlPhaseEnd
+ rlJournalPrintText
+rlJournalEnd